import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/2cd86db7d09163167692621ed5af5165/raw/971bfcdb7c4101a5ac7ba2a72ef7264e331628b0/zona-estado.csv";
export const getZones = () => {
  const [data, setData] = useState(null);
	if(!data){
//    console.log('No Zone')
  }
  useEffect(() => {
    const row = d => {
      d['Zona'] = d['Zona'];
      d['Estado'] = d['Estado'];
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);
console.log('Zone Data: ', data)
  return data
}
