import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/2da6c549f135f0b5f3f8fa5fc77b25ff/raw/3f4d34b1593fb3f1a665b6f6b3eb71153287efbf/rdg2018-zona-estado-enero-marzo.csv";

export const useData = () => {
  const [data, setData] = useState(null);
	if(data){
    console.log(data)
  }
  useEffect(() => {
    const row = d => {
      d['Month'] = new Date(d['Date']);
      d['Zona'] = d['Zona'];
      d['WasteKgs'] = +d['WasteKgs'];
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);

  return data
}
